#include <iostream>

using namespace std;

int main()
{
    int A, N, z;
    cin >>N>>A;
    int rez[5][2];
    for (int i = 0; i<5; i++)
        {
            if (i%2 == 0)
            {
                rez[i][0] = A;
                rez[i][1] = A - 2;
            }
            else
            {
                rez[i][0] = A-2;
                rez[i][1] = A;
            }
        }
    if (3*A>N) cout <<-1;
    else
    {
        z = 10*A-10;
        if (N == z)
            for (int i = 0; i<5; i++)
            {
                for (int j = 0; j<2; j++)
                {
                    cout <<rez[i][j] <<" ";
                }
                cout <<endl;
            }
        if (N>z)
        {
            int razlika = N-z;
            if (razlika&1)
            {
                rez[4][1] = rez[4][1] - 1;
                rez[0][0] = rez[0][0] + (razlika/2);
                rez[0][1] = rez[0][1] + (razlika/2);
            }
            else
            {
                rez[0][0] = rez[0][0] + (razlika/2);
                rez[0][1] = rez[0][1] + (razlika/2);
            }
                        for (int i = 0; i<5; i++)
            {
                for (int j = 0; j<2; j++)
                {
                    cout <<rez[i][j] <<" ";
                }
                cout <<endl;
            }
        }
        if (N<z)
        {
            int razlika = z-N;
            int e = 5;
            mesto:if (razlika/(A-2)<e)
            {
                int x = 0;
                int y = 1;
                while(razlika/(A-2)!=0)
                {
                    rez[x][y] = rez[x][y] - (A-2);
                    razlika = razlika - (A-2);
                    x = x+1;
                    y = -y + 1;
                }
                rez[x][y] = rez[x][y] - razlika;
                for (int i = 0; i<e; i++)
                {
                    for (int j = 0; j<2; j++)
                    {
                        cout <<rez[i][j] <<" ";
                    }
                    cout <<endl;
                }
            }
            else
            {
                razlika = razlika -A;
                razlika = razlika - (A-2);
                e--;
                goto mesto;
            }
        }
    }
    return 0;
}